<template>
  <q-input
    v-model="record[field.config.field]"
    :stack-label="field.label"
    inverted-light
    color="white"
    :type="field.config.rows > 1 ? 'textarea' : 'text'"
    :rows="field.config.rows"
  />
</template>

<script>
  export default {
    name: 'textField',
    props: {
      field: {
        type: Object,
      },
      record: {
        type: Object,
      },
    },
  };
</script>
